### Property

# Gtk StringFilter:match-mode

#### Declaration

    property match-mode: Gtk.StringFilterMatchMode [ read, write ]

#### Description [src]

If exact matches are necessary or if substrings are allowed.

Type: | `GtkStringFilterMatchMode`

Default value | GTK_STRING_FILTER_MATCH_MODE_SUBSTRING
Getter method | `gtk_string_filter_get_match_mode()`
Setter method | `gtk_string_filter_set_match_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no